<?xml version="1.0"?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 1.9//EN" "https://www.sosy-lab.org/benchexec/benchmark-2.3.dtd">
<benchmark tool="veriabs" timelimit="15 min" hardtimelimit="16 min" memlimit="7 GB" cpuCores="2">

<require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz" cpuCores="2"/>

  <resultfiles>**/*.graphml</resultfiles>

<rundefinition name="SV-COMP23_unreach-call">
  <requiredfiles>../results-verified/LOGDIR/${rundefinition_name}/${taskdef_name}/witness.graphml</requiredfiles>
  <option name="--validate">../../results-verified/LOGDIR/${rundefinition_name}/${taskdef_name}/witness.graphml</option>

  <tasks name="ReachSafety-Arrays">
    <includesfile>../sv-benchmarks/c/ReachSafety-Arrays.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-BitVectors">
    <includesfile>../sv-benchmarks/c/ReachSafety-BitVectors.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-ControlFlow">
    <includesfile>../sv-benchmarks/c/ReachSafety-ControlFlow.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-ECA">
    <includesfile>../sv-benchmarks/c/ReachSafety-ECA.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Floats">
    <includesfile>../sv-benchmarks/c/ReachSafety-Floats.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Heap">
    <includesfile>../sv-benchmarks/c/ReachSafety-Heap.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Loops">
    <includesfile>../sv-benchmarks/c/ReachSafety-Loops.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-ProductLines">
    <includesfile>../sv-benchmarks/c/ReachSafety-ProductLines.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Recursive">
    <includesfile>../sv-benchmarks/c/ReachSafety-Recursive.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Sequentialized">
    <includesfile>../sv-benchmarks/c/ReachSafety-Sequentialized.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-XCSP">
    <includesfile>../sv-benchmarks/c/ReachSafety-XCSP.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Combinations">
    <includesfile>../sv-benchmarks/c/ReachSafety-Combinations.set</includesfile>
    <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>

</rundefinition>

</benchmark>
